#include "Test_RooNDKeysPdf.h"

using namespace RooFit;

/////////////////////////////////////SAVES PDF TO FILE
void Test_RooNDKeysPdf()
{
    RooNDKeysPdf pdf = MakePDFS();

    TFile ofile("../results/ndpdf.root","recreate");
    
    pdf.Write();
    
    ofile.Close();
}
/////////////////////////////////////MAKES SIGNAL PDF
RooNDKeysPdf MakePDFS()
{
    var_jet12_m = new RooRealVar("sjet12_m","",1000,3500);
    var_jet1_m  = new RooRealVar("sjet1_m","",0,150);
    var_jet2_m  = new RooRealVar("sjet2_m","",0,150);
    var_wt      = new RooRealVar("wt","",0,100);
    var_wtPRW   = new RooRealVar("wtPRW","",0,100);
    
    RooDataSet data = Get_SignalDataSet();
    
    RooNDKeysPdf NDksig("NDksig_%f_%f","",RooArgList(*var_jet12_m,*var_jet1_m,*var_jet2_m), data );
    
    return NDksig;
}
/////////////////////////////////////RETURNS SIGNAL DATASET
RooDataSet Get_SignalDataSet()
{
    TFile ifile("../Input/GZZ_2000.root");
    TTree *tree = (TTree*)ifile.Get("signal");
    
    RooArgSet roovariables(*var_jet12_m, *var_jet1_m, *var_jet2_m, *var_wt, *var_wtPRW);
    
    RooDataSet dataset("dataset","", roovariables, Import(*tree),WeightVar("wt"),WeightVar("wtPRW") );
    
    return dataset;
}